| Home | Libraries | People | FAQ | More

## Struct template pointer_plus_bit

boost::intrusive::pointer_plus_bit

## Synopsis

    template<typename Pointer>
    struct pointer_plus_bit {
      static const bool value;
    };

## Description

This is class that is supposed to have static methods to embed an extra bit of information in a pointer. This is a declaration and there is no default implementation, because operations to embed the bit change with every pointer type.

An implementation that detects that a pointer type whose has_pointer_plus_bit<>::value is non-zero can make use of these operations to embed the bit in the pointer.